.container {
  padding: var(--space-4);
  text-align: center;
}

.header {
  @include text-variant(lead);
  font-weight: 400;
  margin-bottom: var(--space-4);
  color: var(--color-theme-variant);

  &--props {
    font-weight: 700;
    color: var(--color-theme-contrast);
  }
}

.buttons-wrapper {
  display: flex;
  align-items: flex-end;
  justify-content: center;
}

.my-btn {
  @include button();

  &--small {
    @include button-size(small);

    @include breakpoint(md) {
      @include button-size(medium);
    }
  }

  &--medium {
    @include button-size(medium);

    @include breakpoint(md) {
      @include button-size(large);
    }
  }

  &--secondary {
    @include button-variant(secondary);
  }
}

.mfe-btn {
  margin: var(--space-2);
}

.mfe-input {
  @include input();
  margin-right: var(--space-2);

  &_text {
    @include input-text();
  }
}

.greeting {
  margin-top: var(--space-4);
  font-size: var(--font-size-large);
  text-align: center;

  &__data {
    color: var(--color-theme-variant);
  }

  &__error {
    color: var(--input-label-color-error);
  }

  &__loading {
    color: var(--color-text-base);
    text-align: left;
  }
}
